#!/usr/bin/env ruby

sina = []
okane = []
puts "レジだよー！ 消費税も計算してくれるよ！"
kattakazu = 0
goukei = 0
while true
  print "商品は? (終わりたい時はqを押してね): "
  shouhin = gets.chomp
  if shouhin == "q" then
    break
  end
  sina[kattakazu] = shouhin
  print "値段は?: "
  nedan = gets.to_i
  okane[kattakazu] = nedan
  kattakazu += 1
  goukei += nedan
  printf("今の合計は%d円だよ!\n", goukei*1.08)
end
count = 0
puts""
puts"=======  ほしぞらマーケット  ======="
puts"============  領収書  ============"
puts"--------      ご注文      --------"
while count < kattakazu
  printf("%s                        %d円\n", sina[count], okane[count])
  count += 1
end
puts"- - - - - - - - - - - - - - - - - "
printf("合計                         %d円\n", goukei)
printf("税込                         %d円\n", goukei*1.08)
puts"----------------------------------"
puts"ご来店ありがとうございました。"
puts"またのお越しをお待ちしております。"
